## postgresql-common 166bzr2

=== debian/changelog ===
postgresql-common (166bzr2) vivid; urgency=medium

  [ Christoph Berg ]
  * pg_conftool: Fix 'remove' operation. Spotted by François Henry, merci!
    (Closes: #778243)
  * t/007_pg_conftool.t: Add pg_conftool tests.

  [ Martin Pitt ]
  * debian/maintscripts-functions: Avoid package installation failure of -9.1
    due to the pg_basebackup.1 alternative on systems which have both -9.1 and
    a later version installed in parallel. On those, pg_basebackup.1 will
    already be in the psql.1.gz group, thus -9.1 must not try to put it back
    into the postmaster.1.gz group. (LP: #1357682)
  * Add "default-psql" autopkgtest: Smoketest to verify that installing the
    "postgresql" metapackage results in a running and working cluster.
  * debian/maintscripts-functions, configure_cluster(): When running under
    systemd, do a daemon-reload to re-run the generator and thus create a unit
    for the newly created cluster.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 10 Mar 2015 11:26:36 +0100

postgresql-common (166) unstable; urgency=medium

  * postgresql-common: Breaks: systemd (<< 204). postgresql@.service uses
    reload-related config options that are incompatible with the systemd
    version in wheezy. (Consider upgrading to the wheezy-backports version.)
  * pg_renamecluster: New tool to rename clusters.
  * pg_upgradecluster: --rename allows renaming the upgraded cluster.
  * pg_conftool: Allow to "edit" files.
  * PgCommon.pm, pg_lsclusters: Fix thinko which broke logging to
    /var/log/postgresql when log_destination was "syslog,stderr". The default
    logfile is now always used even if logging_collector is enabled; it
    receives the log messages produced before logging_collector is started.
  * t/020_create_sql_remove.t: Versions >= 9.0 are OOM-protected.

 -- Christoph Berg <myon@debian.org>  Thu, 05 Feb 2015 22:19:07 +0100
