=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>, Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.9.5
-Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git -b jessie
-Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
+Vcs-Bzr: https://alioth.debian.org/scm/loggerhead/pkg-postgresql/postgresql-common/trunk
+Vcs-Browser: https://alioth.debian.org/scm/loggerhead/pkg-postgresql/postgresql-common/trunk/changes
 Build-Depends: debhelper (>= 9),
  dh-systemd (>= 1.19) | sysvinit (<< 2.88dsf-42),
  lsb-release
@@ -23,14 +23,15 @@
  ucf,
  ${misc:Depends}
 Recommends: logrotate
-Breaks: postgresql-9.1 (<< 9.1.1-3~)
+Breaks: postgresql-9.1 (<< 9.1.1-3~), systemd (<< 204)
 Description: PostgreSQL database-cluster manager
  The postgresql-common package provides a structure under which
  multiple versions of PostgreSQL may be installed and/or multiple
  clusters maintained at one time.
  .
- This package will automatically create a (self-signed) certificate so
- that SSL connections are supported.
+ The commands provided are pg_conftool, pg_createcluster, pg_ctlcluster,
+ pg_dropcluster, pg_lsclusters, pg_renamecluster, pg_upgradecluster,
+ pg_virtualenv.
  .
  PostgreSQL is a fully featured object-relational database management
  system. It supports a large part of the SQL standard and is designed
