## postgresql-common 166tanglu1

=== debian/changelog ===
postgresql-common (166tanglu1) staging; urgency=medium

  * Merge with Debian unstable, remaining change:
    - Add Tanglu support to debian/supported-versions

 -- Matthias Klumpp <mak@debian.org>  Thu, 12 Mar 2015 15:21:14 +0100
