## postgresql-common 169git1

=== debian/changelog ===
postgresql-common (169git1) wily; urgency=medium

  Upload current git head to fix autopkgtest regression.

  [ Christoph Berg ]
  * t/025_logging.t: Improve syslog detection in the test environment.
  * pg_upgradecluster, t/030_errors.t: Unbreak after we changed the old=new
    error message.
  * PgCommon.pm: make read_cluster_conf_file read postgresql.auto.conf as well
    (Closes: #787154)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 06 Jun 2015 12:16:06 +0200

postgresql-common (169) unstable; urgency=medium

  * t/022_recovery.t: New recovery tests to catch regression in 9.4.2 and
    9.1.16.
  * pg_upgradecluster: Set default dynamic_shared_memory_type = mmap.
    (Closes: #784005)
  * pg_upgradecluster: Complain if --link is used without --method=upgrade.
  * pg_upgradecluster: Better error message when old and new version are
    equal.

 -- Christoph Berg <myon@debian.org>  Thu, 04 Jun 2015 12:09:53 +0200

postgresql-common (168) unstable; urgency=medium

  [ Martin Pitt ]
  * Drop obsolete debian/backport-ppa script.
  * debian/tests/default-psql: Skip test if default cluster creation is
    disabled in createcluster.conf.

  [ Christoph Berg ]
  * t/170_extensions.t: Refactor dependency handling and add new extensions
    shipped with 9.5.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 May 2015 11:28:45 +0200

postgresql-common (167) unstable; urgency=medium

  [ Christoph Berg ]
  * pg_conftool: Fix 'remove' operation. Spotted by François Henry, merci!
    (Closes: #778243)
  * t/007_pg_conftool.t: Add pg_conftool tests.

  [ Martin Pitt ]
  * debian/maintscripts-functions: Avoid package installation failure of -9.1
    due to the pg_basebackup.1 alternative on systems which have both -9.1 and
    a later version installed in parallel. On those, pg_basebackup.1 will
    already be in the psql.1.gz group, thus -9.1 must not try to put it back
    into the postmaster.1.gz group. (LP: #1357682)
  * Add "default-psql" autopkgtest: Smoketest to verify that installing the
    "postgresql" metapackage results in a running and working cluster.
  * debian/maintscripts-functions, configure_cluster(): When running under
    systemd, do a daemon-reload to re-run the generator and thus create a unit
    for the newly created cluster.
  * Move package maintenance to git, update Vcs-* tags accordingly.
  * Bump Standards-Version to 3.9.6 (no changes necessary).
  * supported-versions: Add Ubuntu 15.10.

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 May 2015 11:28:26 +0200
