=== debian/changelog ===
postgresql-common (173) unstable; urgency=medium

  [ Christoph Berg ]
  * README.Debian: Fix a typo.
  * Updated nl translation, thanks Frans Spiesschaert! (Closes: #812353)
  * Updated ru translation, thanks Sergey Alyoshin! (Closes: #815596)
  * Updated ja translation, thanks Takuma Yamada! (Closes: #816069)
  * preinst_check_catversion: Handle missing catalog version file.
  * pg_renamecluster: Don't try to rename a non-existing stats directory.
  * pg_conftool: Refuse operation on non-existing clusters.
  * maintscript-functions, templates: Remove '#' characters from upgrade
    instructions on catalog version change for easier cut-and-paste.
  * t/032_ssl_key_permissions.t: Validate server snakeoil key checks.
  * pgdg/apt.postgresql.org.sh: Add xenial and trusty.

  [ Adam Conrad ]
  * pgcommon.sh: Adjust for >= xenial using Debian-style locale generation
    methods, and allow fallback to the old Ubuntu method for old releases.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Mar 2016 15:08:06 +0200

postgresql-common (172) unstable; urgency=medium

  [ Christoph Berg ]
  * pg_buildext: Mute diff warning about missing debian/tests/control.in.
  * pg_ctlcluster: Skip systemctl redirect with --bindir.
  * pg_createcluster: Drop warning if /tmp is used as socket directory.
    Instead, just print the socket directory on cluster creation.
  * Update French debconf translations, thanks Julien Patriarca!
    (Closes: #809800)
  * 9.5 released! Setting as default.

  [ Martin Pitt ]
  * debian/supported-versions: Switch Ubuntu 16.04 to 9.5.
  * debian/supported-versions: Drop obsolete Ubuntu versions.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 07 Jan 2016 15:13:06 +0100

postgresql-common (171) unstable; urgency=medium

  [ Christoph Berg ]
  * pgdg: Deprecate 8.4 and 9.0.
  * Enable 9.4 for wheezy-backports.
  * pg_createcluster: Fix stats_temp_directory handling on 8.3, thanks to
    Marco Nenciarini for the inital patch.
  * pg_createcluster: Mute verbose chattr output.
  * pg_conftool: Don't quote output in '-s'hort mode.
  * debian/maintscripts-functions: If the catalog version changes in
    devel/alpha versions, save a minimal copy of the old version binaries in
    the preinst to enable using pg_upgrade. Use debconf in the postinst to
    instruct the user how to proceed with the upgrade.
  * pg_buildext: Replace multiple occurrences of PGVERSION on the same line,
    and implement replacing for debian/tests/control.in.
  * t/015_start_stop.t: Validate pg_ctlcluster/systemctl exit codes.
  * pg_ctlcluster: Redirect requests to systemd when invoked as root and no
    extra pg_ctl or postgres options are given.
    Trying to start already running clusters clusters will return 0 now
    (was 2 in the native implementation). (Closes: #784878)
  * pg_createcluster, pg_renamecluster: Warn on cluster names with dashes.
  * pg_upgradecluster: Deprecate ssl_renegotiation_limit in 9.5.

  [ Martin Pitt ]
  * pg_upgradecluster: Fix "ANALZYE" typo.
  * debian/supported-versions: Add Ubuntu 16.04.
  * Update Turkish debconf translations, thanks Atila KOÇ!
    (Closes: #799274)
  * t/020_create_sql_remove.t: Skip postmaster OOM killer adjustment when
    running in a container, as these often have restricted privileges.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 18 Dec 2015 16:22:37 +0100

postgresql-common (170) unstable; urgency=medium

  [ Christoph Berg ]
  * pg_createcluster, pg_dropcluster: When an auto-started cluster is created/
    dropped by root, notify systemd to update the dependencies of
    postgresql.service.wants.
  * pg_dropcluster, pg_renamecluster: Handle stats_temp_directory.
  * testsuite, pg_virtualenv: Remove the unshare hack, too much trouble.
  * pg_buildext, pg_virtualenv: Add PG_VIRTUALENV_NEWPID and
    PG_VIRTUALENV_UNSHARE variables; pg_buildext selects unshare -n by default.
  * t/025_logging.t: Improve syslog detection in the test environment.
  * pg_upgradecluster, t/030_errors.t: Unbreak after we changed the old=new
    error message.
  * PgCommon.pm: make read_cluster_conf_file read postgresql.auto.conf as well
    (Closes: #787154)
  * pg_upgradecluster: Support upgrading tablespaces. (Closes: #772202)
  * t/TestLib.pm: New function program_ok().
  * t/040_upgrade.t: Skip testing pg_upgrade with datallowconn = f, it does
    not support that anymore as of May 2015.
  * t/170_extensions.t: Catch warning with chkpass >= 9.5.
  * debian/maintscripts-functions: Unset all locale-specific environment
    variables when creating the initial database cluster. (Closes: #791526)
  * Add /var/log/postgresql to /usr/lib/tmpfiles.d/postgresql.conf.
  * Also set OOMScoreAdjust in postgresql@.service.
  * pg_ctlcluster: OOM-protect 9.0 as well.
  * pg_lsclusters: Color online/down clusters green/red.
  * supported-versions: Accept DEB_PG_SUPPORTED_VERSIONS as well.
  * Ship /etc/postgresql/ in postgresql-common. (Closes: #801140)

  [ Martin Pitt ]
  * pg_createcluster: Show the locale selected with --locale instead of the
    current one. (LP: #1467061)

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 08 Oct 2015 13:48:26 +0200
