=== debian/tests/control ===
Tests: default-psql
Depends: postgresql
Restrictions: needs-root
