## postgresql-common 173+8.0trisquel1

=== debian/changelog ===
postgresql-common (173+8.0trisquel1) flidas; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 10 Feb 2017 19:25:01 +0000
