=== debian/control ===
--- 
+++ 
@@ -1,30 +1,40 @@
 Source: postgresql-common
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Martin Pitt <mpitt@debian.org>, Christoph Berg <myon@debian.org>, Peter Eisentraut <petere@debian.org>
-Standards-Version: 3.9.6
+Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Uploaders:
+ Martin Pitt <mpitt@debian.org>,
+ Christoph Berg <myon@debian.org>,
+ Peter Eisentraut <petere@debian.org>,
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-common.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-common.git
-Build-Depends: debhelper (>= 9),
+Build-Depends:
+ debhelper (>= 9),
  dh-systemd (>= 1.19) | sysvinit (<< 2.88dsf-42),
- lsb-release
+ lsb-release,
+ libreadline-dev,
 
 Package: postgresql-common
 Architecture: all
 Multi-Arch: foreign
-Conflicts: postgresql-7.4, postgresql-8.0
-Depends: postgresql-client-common (>= ${source:Version}), 
- procps, 
+Conflicts:
+ postgresql-7.4,
+ postgresql-8.0,
+Depends:
  adduser,
  debconf (>= 0.5.00) | debconf-2.0,
  lsb-base (>= 3.0-3),
+ postgresql-client-common (= ${source:Version}),
+ procps,
  ssl-cert (>= 1.0.11),
  ucf,
- ${misc:Depends}
-Recommends: logrotate
-Breaks: postgresql-9.1 (<< 9.1.1-3~), systemd (<< 204)
+ ${misc:Depends},
+Recommends:
+ logrotate,
+Breaks:
+ postgresql-9.1 (<< 9.1.1-3~),
+ systemd (<< 204),
 Description: PostgreSQL database-cluster manager
  The postgresql-common package provides a structure under which
  multiple versions of PostgreSQL may be installed and/or multiple
@@ -44,9 +54,13 @@
 Package: postgresql-client-common
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${pgdg:Depends},
- netbase
-Recommends: lsb-release, libreadline6
+Depends:
+ netbase,
+ ${misc:Depends},
+ ${pgdg:Depends},
+Recommends:
+ ${readline:Recommends},
+ lsb-release,
 Description: manager for multiple PostgreSQL client versions
  The postgresql-client-common package provides a structure under which
  multiple versions of PostgreSQL client programs may be installed at
@@ -64,13 +78,14 @@
 
 Package: postgresql-server-dev-all
 Architecture: all
-Depends: ${misc:Depends},
- postgresql-common (>= 117~),
+Depends:
+ dctrl-tools,
  iproute2 | net-tools,
  lsb-release,
- dctrl-tools,
  make,
- ${server-dev-all-depends}
+ postgresql-common (>= 117~),
+ ${misc:Depends},
+ ${server-dev-all-depends},
 Description: extension build tool for multiple PostgreSQL versions
  The postgresql-server-dev-all package provides the pg_buildext script for
  simplifying packaging of a PostgreSQL extension supporting multiple major
@@ -85,8 +100,11 @@
 
 Package: postgresql
 Architecture: all
-Depends: postgresql-${default-version}, ${misc:Depends}
-Suggests: postgresql-doc
+Depends:
+ postgresql-${default-version},
+ ${misc:Depends},
+Suggests:
+ postgresql-doc,
 Description: object-relational SQL database (supported version)
  This metapackage always depends on the currently supported PostgreSQL
  database server version.
@@ -102,7 +120,9 @@
 Package: postgresql-client
 Architecture: all
 Multi-Arch: foreign
-Depends: postgresql-client-${default-version}, ${misc:Depends}
+Depends:
+ postgresql-client-${default-version},
+ ${misc:Depends},
 Description: front-end programs for PostgreSQL (supported version)
  This metapackage always depends on the currently supported database
  client package for PostgreSQL.
@@ -119,7 +139,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: postgresql-doc-${default-version}, ${misc:Depends}
+Depends:
+ postgresql-doc-${default-version},
+ ${misc:Depends},
 Description: documentation for the PostgreSQL database management system
  This metapackage always depends on the currently supported PostgreSQL
  database documentation package.
@@ -134,7 +156,9 @@
 
 Package: postgresql-contrib
 Architecture: all
-Depends: postgresql-contrib-${default-version}, ${misc:Depends}
+Depends:
+ postgresql-contrib-${default-version},
+ ${misc:Depends},
 Description: additional facilities for PostgreSQL (supported version)
  This metapackage always depends on the currently supported PostgreSQL
  database contrib package.
