## postgresql-common 179

=== debian/changelog ===
postgresql-common (179) unstable; urgency=medium

  * Catch all pg_ctl output by redirecting it to /var/log/postgresql.
    (Closes: #830485)
  * Dump locale environment variables if setlocale fails.
    (Closes: #848869)
  * Set default log_line_prefix to '%m [%p] %q%u@%d ' to match upstream
    moving to '%m [%p] ' in PostgreSQL 10.
  * Support include_dir in read_conf_file. Patch by Andreas Dewes, thanks!
  * Support adding include directives to the new postgresql.conf from
    createcluster.conf; harness directives with an "add_" prefix, e.g.
    "add_include_dir".
  * Import new apt.postgresql.org key.
  * Support 9.6 for jessie-backports.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Jan 2017 23:03:12 +0100

postgresql-common (178) unstable; urgency=medium

  [ Christoph Berg ]
  * pg_buildext: Don't ask pg_virtualenv for a new network namespace by
    default.
  * postgresql-all: New meta package depending on all server packages in all
    supported versions. Intended to be used for installing test dependencies.
  * pg_upgradecluster: Properly upgrade databases with non-login role owners.
    (Closes: #614374, #838812)
  * pg_upgradecluster, pg_renamecluster: Update cluster_name.
  * Rebuild upgrades libreadline to 7 in unstable. (Closes: #845356)
  * Replace most occurrences of "postmaster" by "postgres". Notable leftover
    is the postmaster.1.gz leader of the manpages alternatives group.
  * pg_ctlcluster, t/020_create_sql_remove.t: Protect against symlink in
    /var/log/postgresql/ allowing the creation of arbitrary files elsewhere.
    Discovered by Dawid Golunski, thanks! (CVE-2016-1255)

  [ Martin Pitt ]
  * debian/supported-versions: Add Ubuntu 17.04, drop EOLed releases.
  * t/TestLib.pm, check_clean(): Quiesce stderr of netstat, which shows a "Not
    all processes could be identified" warning in unprivileged containers.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Dec 2016 17:11:15 +0100

postgresql-common (177) unstable; urgency=medium

  [ Martin Pitt ]
  * Replace hardcoded Recommends: libreadline6 with a build-time detection of
    the current ABI.

  [ Christoph Berg ]
  * Team upload.
  * Mark 9.6 as stable for apt.postgresql.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 28 Sep 2016 11:55:12 +0200
