## postgresql-common 181+deb9u1~bpo8+1

=== debian/changelog ===
postgresql-common (181+deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 15 Dec 2017 09:12:46 +0100

postgresql-common (181+deb9u1) stretch-security; urgency=medium

  * pg_ctlcluster, pg_createcluster, pg_upgradecluster: Use lchown instead
    of chown to mitigate privilege escalation via symlinks. (CVE-2017-8806.
    Related to CVE-2017-12172 in PostgreSQL; extends our earlier fix for
    CVE-2016-1255.)

 -- Christoph Berg <myon@debian.org>  Tue, 07 Nov 2017 20:54:52 +0100

postgresql-common (181~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christoph Berg <myon@debian.org>  Sun, 14 May 2017 18:00:57 +0200

postgresql-common (181) unstable; urgency=medium

  * debian/postgresql-common.config: Fix deprecation warning debconf message
    to use a numerical comparison on the version number.
  * pg_buildext: Fix to use a numerical comparison on the version number.
  * pg_buildext.pod: Drop outdated PG_VIRTUALENV_UNSHARE=-n documentation.
  * pgdg/apt.postgresql.org.sh: Add known distributions.
  * Updated Danish debconf translation by Joe Dalton, thanks!
    (Closes: #856787)

 -- Christoph Berg <myon@debian.org>  Sat, 15 Apr 2017 18:56:38 +0200

postgresql-common (180) unstable; urgency=medium

  * supported-versions: Retire 9.1 on apt.postgresql.org.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 09 Feb 2017 15:30:23 +0100

postgresql-common (179~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Christoph Berg <myon@debian.org>  Wed, 15 Feb 2017 19:46:48 +0100

postgresql-common (178~bpo8+1) jessie-backports; urgency=medium

  * Backport to jessie-backports.
  * Import new apt.postgresql.org key.
  * Support 9.6 for jessie-backports.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Jan 2017 12:59:47 +0100
