=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Christoph Berg <myon@debian.org>,
  Peter Eisentraut <petere@debian.org>,
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-postgresql/postgresql-common.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/postgresql-common.git
+Vcs-Git: https://salsa.debian.org/postgresql/postgresql-common.git
+Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-common
 Build-Depends:
  debhelper (>= 9),
  dh-systemd (>= 1.19) | sysvinit (<< 2.88dsf-42),
